Package com.databend.jdbc.parser

## Class BatchInsertUtils

- java.lang.Object
- - com.databend.jdbc.parser.BatchInsertUtils

    public class BatchInsertUtils
    extends Object

### Constructor Summary

Constructors
`BatchInsertUtils​(String sql)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clean()`
`String` `getDatabaseTableName()`
`Map<Integer,​String>` `getProvideParams()`
`String` `getSql()`
`String[]` `getValues()`
`String[]` `getValuesCSV()`
`File` `saveBatchToCSV​(List<String[]> values)`
`File` `saveBatchToCSV​(List<String[]> values, File file)`
`void` `setPlaceHolderValue​(int index, String value, String valueCSV)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchInsertUtils

    public BatchInsertUtils​(String sql)

### Method Detail

#### getSql

    public String getSql()

#### getProvideParams

    public Map<Integer,​String> getProvideParams()

#### getDatabaseTableName

    public String getDatabaseTableName()

#### setPlaceHolderValue

    public void setPlaceHolderValue​(int index,
                                    String value,
                                    String valueCSV)
                             throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

#### getValues

    public String[] getValues()

#### getValuesCSV

    public String[] getValuesCSV()

#### saveBatchToCSV

    public File saveBatchToCSV​(List<String[]> values)

#### saveBatchToCSV

    public File saveBatchToCSV​(List<String[]> values,
                               File file)

#### clean

    public void clean()